Skip to main content

Gets a file by ID

GET /v1/file/{fileID}

Summary

Gets a file by ID.

Details

Returns the file with a download location. Download behavior may vary by environment.

Authentication

No operation-level security requirement is documented here.

Parameters

NameInTypeRequiredDescriptionExample
fileIDpathinteger (int64)YesThe ID of the file to retrieve.1

Request Body

No request body is documented here.

Responses

200

Success

application/json

  • key (integer (int64), optional)
  • deviceID (integer (int64), optional)
  • filename (string, optional)
  • fileGUID (string, optional)
  • sHA256Hash (string, optional)
  • fileLocation (string, optional)
  • fileExpiration (string (date-time), optional)
  • fileSize (integer (int64), optional)
  • fileInS3 (boolean, optional)
  • doNotDelete (boolean, optional)
  • creationDate (string (date-time), optional)

Example

{
"key": 1,
"deviceID": 201,
"filename": "clip.mp4",
"fileGUID": "11111111-2222-3333-4444-555555555555",
"sHA256Hash": "Example value",
"fileLocation": "Remote site",
"fileExpiration": "2026-03-30T12:00:00.0000000Z",
"fileSize": 1,
"fileInS3": true,
"doNotDelete": true,
"creationDate": "2026-03-30T12:00:00.0000000Z"
}